## Apache Zeta Components Manual :: Docs For Class ezcDbException

### Database::ezcDbException

### Class ezcDbException

This class provides exception for misc errors that may occur in the component, such as errors parsing database parameters and connecting to the database.

Source for this file: /Database/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDbException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcDbHandlerNotFoundException | This exceptions is used when a database handler could not be found.
ezcDbMissingParameterException | This exception is thrown when a database handler misses a required parameter.
ezcDbTransactionException | This class provides exception for misc errors that may occur in the component, such as errors parsing database parameters and connecting to the database.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message , $additionalInfo )` Constructs an ezcDbAstractionException with the highlevel error message $message and the errorcode $code.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message , string $additionalInfo )

Constructs an ezcDbAstractionException with the highlevel error message $message and the errorcode $code.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$additionalInfo` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDbHandlerNotFoundException::__construct()` | Constructs a new exception.
`ezcDbMissingParameterException::__construct()` | Constructs a new exception.
`ezcDbTransactionException::__construct()` | Constructs a new exception with the message $msg.

Documentation generated by phpDocumentor 1.4.3